### Message

Category

Debugging

Function

Displays a message to the user.

Syntax

    Message(message, type, popup)

Inputs

Name | Type | Default | Description
--- | --- | --- | ---
`message` | string | none | message to be displayed
`type` | string | "message" | type of information: error, warning, or message
`popup` | flag | 0 | 0: Do not display message in pop-up window 1: Display message in pop-up window

Functional Details

`message` | specifies the message to be displayed.
`type` | specifies the kind of message. Information messages are presented unaccompanied, but error messages are preceded by `ERROR`, and warnings by `WARNING`.
`popup` | specifies whether the message is to be displayed in a pop-up window as well as in the Message Window. In script mode, messages are sent to the xterm, regardless of the pop-up setting.

Note: The display of any or all categories of message can be prevented by deactivating the appropriate toggle buttons in the `Options` pull-down menu of the Message Window.

Example Visual Program

    UsingMessage.net

See Also

Echo, Format, Print

[ OpenDX Home at IBM | OpenDX.org ]